<template>
  <ObForm
    class="tenders-delete-group-form"
    :form-data="formData"
    ok-text="Удалить группу"
    cancel-text="Отменить"
    @submit="onSubmit"
    :is-submit-disabled="false"
    data-qa="tendersGroupsDeletionConfirmationForm"
  >
    <div class="row">
      <div class="col-xs-12">
        Вы точно хотите удалить группу и расформировать список из {{ dataSource.participantCount }} контрагентов?
      </div>
    </div>
  </ObForm>
</template>

<script>
  import ObForm from 'common-components/src/obComponents/obForm'
  import FormValidationMixin from 'common-components/src/obComponents/obForm/FormValidationMixin'

  export default {
    name: 'TendersDeleteGroup',
    components: {
      ObForm
    },
    mixins: [
      FormValidationMixin
    ],
    methods: {
      onSubmit () {
        this.$emit('delete', this.dataSource)
      }
    }
  }
</script>
